<?php
/**
 * ProductGroupsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductGroupsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductGroupsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for bindProductGroupProducts
     *
     * Changing product links in a ProductGroup.
     *
     */
    public function testBindProductGroupProducts()
    {
    }

    /**
     * Test case for createProductGroup
     *
     * Creating an object of ProductGroup.
     *
     */
    public function testCreateProductGroup()
    {
    }

    /**
     * Test case for deleteProductGroup
     *
     * Deleting an object of ProductGroup.
     *
     */
    public function testDeleteProductGroup()
    {
    }

    /**
     * Test case for deleteProductGroups
     *
     * Mass deleting of ProductGroups.
     *
     */
    public function testDeleteProductGroups()
    {
    }

    /**
     * Test case for getProductGroup
     *
     * Get the object of ProductGroup by ID.
     *
     */
    public function testGetProductGroup()
    {
    }

    /**
     * Test case for patchProductGroup
     *
     * Patching an object of ProductGroup.
     *
     */
    public function testPatchProductGroup()
    {
    }

    /**
     * Test case for replaceProductGroup
     *
     * Replacing an object of ProductGroup.
     *
     */
    public function testReplaceProductGroup()
    {
    }

    /**
     * Test case for searchOneProductGroup
     *
     * Search for an object of ProductGroup.
     *
     */
    public function testSearchOneProductGroup()
    {
    }

    /**
     * Test case for searchProductGroups
     *
     * Search for objects of ProductGroup.
     *
     */
    public function testSearchProductGroups()
    {
    }
}
